{{ define "header_css" }}{{ end }}
{{ define "body_classes" }}page-activities-single{{ end }}
{{ define "header_classes" }}{{ end }}
{{ define "main" }}

    {{ if .Params.hero }}
        {{ partial "framework/sections/hero/hero.html" (dict "context" $ "hero" .Params.hero) }}
    {{ else }}
        <div class="section section-base-bg">
            <div class="container">
                <div class="row">
                    <div class="col-12 col-lg-8">
                        <h1>{{ .Title }}</h1>
                        <h2>{{ .Params.description }}</h2>
                    </div>
                    {{ if .Params.image }}
                        <div class="col-12 col-lg-12" style="max-height: 400px; overflow: hidden;">
                            <img class="img-fluid" src="{{ .Params.image | relURL }}" />
                        </div>
                    {{ end }}
                </div>
            </div>
        </div>
    {{ end }}

    <div class="section">
        <div class="container">
            <div class="row justify-content-start">
                <div class="col-12 col-md-8 col-lg-7">
                    <div class="content">{{.Content}}</div>
                </div>

                <div class="col-12 col-md-4 col-lg-4 offset-lg-1">
                    {{ if .Params.aside }}
                        <aside class="aside sticky">
                            <h4>{{ .Params.title }}</h4>
                            {{ with .Params.aside }}
                                {{ if or (.client_label) (.client_content) }}
                                    <div class="aside-client">
                                        <h3>{{ if .client_label }}<strong>{{ .client_label }}: </strong>{{ end }}{{ .client_content }}</h3>
                                    </div>
                                {{ end }}
                                {{ if .text }}
                                    <div class="aside-object">
                                        <strong>Résumé : </strong>{{ .text }}
                                    </div>
                                {{ end }}
                                {{ if .period }}
                                    <div class="aside-object">
                                        <strong>Période : </strong>{{ .period }}
                                    </div>
                                {{ end }}
                                {{ if and (.link_label) (.link_url) }}
                                    <div class="aside-link">
                                        <strong>{{.link_label}} </strong><a href="{{ .link_url }}" target="_blank"><img src="/images/icons/diagonal-arrow.svg" style="width: 30px; margin:0;" /></a>
                                    </div>
                                {{ end }}
                                {{ if .partners }}
                                    <div class="aside-list">
                                        <strong>Partenaires :</strong>
                                            <ul>
                                                {{ range .partners }}
                                                    <li><a href="{{ .link }}" target="_blank">{{ .name }}</a></li>
                                                {{ end }}
                                            </ul>
                                    </div>
                                {{ end }}
                                {{ if .fundings }}
                                    <div class="aside-list">
                                        <strong>Financeurs :</strong>
                                            <ul>
                                                {{ range .fundings }}
                                                    <li><a href="{{ .link }}" target="_blank">{{ .name }}</a></li>
                                                {{ end }}
                                            </ul>
                                    </div>
                                {{ end }}
                            {{ end }}
                        </aside>
                    {{ end }}
                </div>


                {{ $section := $.Site.GetPage "section" "posts" }}
                {{ $pages := where $.Site.RegularPages "Type" "posts" }}
                {{ $pages := where $pages ".Params.activity" "in" .File.BaseFileName }}
                {{ $limit := .Params.blog.limit | default 3 }}
                {{ if gt (len $pages) 0 }}
                    <div class="section section-border-top section-base-bg">
                        <div class="container">
                            <div class="section-heading pb-2">
                                <h2>{{ $section.Title }}</h2>
                                {{ if .Params.blog.show_view_all }}
                                    <a href="{{ $section.Permalink | relURL }}">{{ i18n "view_all" }}</a>
                                {{ end }}
                            </div>
                            <div class="row">
                                {{ range first $limit $pages }}
                                    <div class="col-12 col-md-6 col-lg-4 mb-2">
                                        {{ partial "framework/summary/summary-full.html" . }}
                                    </div>
                                {{ end }}
                            </div>
                        </div>
                    </div>
                {{ end }}

            </div>
        </div>
    </div>
    
{{ end }}